#
# spec file for package rubygem-micromachine
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-micromachine
Version:        3.0.0
Release:        1.26
%define mod_name micromachine
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/soveran/micromachine
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Minimal Finite State Machine
License:        MIT
Group:          Development/Languages/Ruby

%description
There are many finite state machine implementations for Ruby, and they all
provide a nice DSL for declaring events, exceptions, callbacks, and all kinds
of niceties in general.
But if all you want is a finite state machine, look no further: this has less
than 50 lines of code and provides everything a finite state machine must
have, and nothing more.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
# MANUAL
find %{buildroot}/%{_libdir}/ruby/gems -name .gems | xargs rm
# /MANUAL


%gem_packages

%changelog
* Mon Jul  8 2019 Dan Čermák <dcermak@suse.com>
- Fix rpmlint warnings
* Wed Jun  5 2019 Johannes Kastl <kastl@b1-systems.de>
- update to version 3.0.0
* Wed Jun  5 2019 Johannes Kastl <kastl@b1-systems.de>
- update to version 2.1.0
* Wed Jun  5 2019 Johannes Kastl <kastl@b1-systems.de>
- update to version 2.0.0
* Wed Jun  5 2019 Johannes Kastl <kastl@b1-systems.de>
- update to version 1.2
* Wed Jun  5 2019 Johannes Kastl <kastl@b1-systems.de>
- first version
